#!/usr/bin/env ruby
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version. This program is distributed in the hope that
# it will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
# the GNU General Public License for more details. You should have
# received a copy of the GNU General Public License along with this
# program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA.
#
# "About" Dialog
#

require 'gtk2'

class AboutDialog
 def initialize
	@dialog = Gtk::Dialog.new
	@dialog.title = "About"

	label = Gtk::Label.new
	label.markup =
		'<span size="xx-large" weight="bold">' +
		'GTray </span>' + "\n\n" +
		'<span size="small">' +
		"Monitoring applet to check your GMail account\n\n" +
		"Copyright (C) 2004 Simon Howard\n" +
		"Google, GMail, and the Google and GMail logos\n" +
		"are trademarks of Google." +
		"</span>"
	label.justify = Gtk::JUSTIFY_CENTER

	temp_hbox = Gtk::HBox.new
	temp_hbox.pack_start(label, true, false, 10)
	@dialog.vbox.pack_start(temp_hbox, true, false, 10)

	close_button = Gtk::Button.new(Gtk::Stock::CLOSE)
	close_button.signal_connect('clicked') do
		@dialog.hide
	end
	@dialog.add_action_widget(close_button, Gtk::Dialog::RESPONSE_NONE)
 end
 def display
	@dialog.show_all
 end
end

